If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

debug mochitest-chrome or test_location.html or test_simpleThread.html or test_bug635636.html crash [@ nsXPCOMCycleCollectionParticipant::CheckForRightISupports]

RESOLVED WORKSFORME

Status

()

Core
XPCOM
RESOLVED WORKSFORME
8 years ago
5 years ago

People

(Reporter: dbaron, Unassigned)

Tracking

({crash, intermittent-failure})

Trunk
x86
Windows Vista
crash, intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [test which aborts the suite], crash signature)

(Reporter)

Description

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264452706.1264455074.20243.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/01/25 12:51:46  

8005 INFO Running chrome://mochikit/content/chrome/toolkit/mozapps/extensions/test/test_bug435743_1.xul...
WARNING: getting z level of unregistered window: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/xpfe/appshell/src/nsWindowMediator.cpp, line 606
WARNING: getting z level of unregistered window: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/xpfe/appshell/src/nsWindowMediator.cpp, line 606
++DOMWINDOW == 45 (0A143058) [serial = 863] [outer = 05580978]

was followed by a crash:

which might be interesting given that it's in a debug build, and 0xdddddddd.

Operating system: Windows NT
                  5.2.3790 Service Pack 2
CPU: x86
     GenuineIntel family 6 model 23 stepping 8
     1 CPU

Crash reason:  EXCEPTION_ACCESS_VIOLATION
Crash address: 0xffffffffdddddddd

<a name='err2'></a><a href='#err3'>NEXT ERROR</a> <font color='000080'>Thread 0 (crashed)
</font> 0  xul.dll!nsXPCOMCycleCollectionParticipant::CheckForRightISupports(nsISupports *) [nsCycleCollectionParticipant.cpp:83eac7a5262a : 101 + 0x26]
    eip = 0x61b3df97   esp = 0x00129578   ebp = 0x00129594   ebx = 0x00000000
    esi = 0x01508028   edi = 0x00000000   eax = 0xdddddddd   ecx = 0x08171c50
    edx = 0x08171c50   efl = 0x00210246
    Found by: given as instruction pointer in context
 1  xul.dll!nsXPCWrappedJS::cycleCollection::Traverse(void *,nsCycleCollectionTraversalCallback &amp;) [xpcwrappedjs.cpp:83eac7a5262a : 56 + 0xb]
    eip = 0x60bb3372   esp = 0x0012959c   ebp = 0x00129604
    Found by: call frame info
 2  xul.dll!GCGraphBuilder::Traverse(PtrInfo *) [nsCycleCollector.cpp:83eac7a5262a : 1475 + 0x1c]
    eip = 0x61b00549   esp = 0x0012960c   ebp = 0x00129628
    Found by: call frame info
 3  xul.dll!nsCycleCollector::MarkRoots(GCGraphBuilder &amp;) [nsCycleCollector.cpp:83eac7a5262a : 1697 + 0xb]
    eip = 0x61b00e59   esp = 0x00129630   ebp = 0x00129650
    Found by: call frame info
 4  xul.dll!nsCycleCollector::BeginCollection() [nsCycleCollector.cpp:83eac7a5262a : 2641 + 0xb]
    eip = 0x61b01da2   esp = 0x00129658   ebp = 0x001296b0
    Found by: call frame info
 5  xul.dll!nsCycleCollector_beginCollection() [nsCycleCollector.cpp:83eac7a5262a : 3228 + 0x13]
    eip = 0x61b020a8   esp = 0x001296b8   ebp = 0x001296bc
    Found by: call frame info
 6  xul.dll!XPCCycleCollectGCCallback [nsXPConnect.cpp:83eac7a5262a : 392 + 0x4]
    eip = 0x60addb3b   esp = 0x001296c4   ebp = 0x001296cc
    Found by: call frame info
 7  mozjs.dll!js_GC [jsgc.cpp:83eac7a5262a : 3126 + 0x10]
    eip = 0x60248607   esp = 0x001296d4   ebp = 0x00129778
    Found by: call frame info
 8  mozjs.dll!JS_GC [jsapi.cpp:83eac7a5262a : 2462 + 0xa]
    eip = 0x601ede0f   esp = 0x00129780   ebp = 0x00129788
    Found by: call frame info
 9  xul.dll!nsXPConnect::Collect() [nsXPConnect.cpp:83eac7a5262a : 479 + 0x9]
    eip = 0x60adda4f   esp = 0x00129790   ebp = 0x00129840
    Found by: call frame info
10  xul.dll!nsCycleCollector::Collect(unsigned int) [nsCycleCollector.cpp:83eac7a5262a : 2521 + 0x18]
    eip = 0x61b01afd   esp = 0x00129848   ebp = 0x0012d700
    Found by: call frame info
11  xul.dll!nsCycleCollector_collect() [nsCycleCollector.cpp:83eac7a5262a : 3216 + 0x15]
    eip = 0x61b0204a   esp = 0x0012d708   ebp = 0x0012d710
    Found by: call frame info
12  xul.dll!nsJSContext::CC() [nsJSEnvironment.cpp:83eac7a5262a : 3548 + 0x4]
    eip = 0x6109544a   esp = 0x0012d718   ebp = 0x0012d718
    Found by: call frame info
13  xul.dll!nsJSContext::IntervalCC() [nsJSEnvironment.cpp:83eac7a5262a : 3636 + 0x4]
    eip = 0x610955b0   esp = 0x0012d720   ebp = 0x0012d728
    Found by: call frame info
14  xul.dll!nsJSContext::CCIfUserInactive() [nsJSEnvironment.cpp:83eac7a5262a : 3626 + 0x4]
    eip = 0x6109557d   esp = 0x0012d730   ebp = 0x0012d730
    Found by: call frame info
15  xul.dll!GCTimerFired(nsITimer *,void *) [nsJSEnvironment.cpp:83eac7a5262a : 3662 + 0x4]
    eip = 0x6109560f   esp = 0x0012d738   ebp = 0x0012d738
    Found by: call frame info
16  xul.dll!nsTimerImpl::Fire() [nsTimerImpl.cpp:83eac7a5262a : 427 + 0xd]
    eip = 0x61b5f3ae   esp = 0x0012d740   ebp = 0x0012d78c
    Found by: call frame info
17  xul.dll!nsTimerEvent::Run() [nsTimerImpl.cpp:83eac7a5262a : 519 + 0xe]
    eip = 0x61b5f591   esp = 0x0012d794   ebp = 0x0012d7a4
    Found by: call frame info
18  xul.dll!nsThread::ProcessNextEvent(int,int *) [nsThread.cpp:83eac7a5262a : 527 + 0x18]
    eip = 0x61b4bfca   esp = 0x0012d7ac   ebp = 0x0012d7e0
    Found by: call frame info
19  xul.dll!NS_ProcessNextEvent_P(nsIThread *,int) [nsThreadUtils.cpp:83eac7a5262a : 250 + 0x15]
    eip = 0x61afd8c3   esp = 0x0012d7e8   ebp = 0x0012d7fc
    Found by: call frame info
20  xul.dll!mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate *) [MessagePump.cpp:83eac7a5262a : 118 + 0xd]
    eip = 0x61cc678d   esp = 0x0012d804   ebp = 0x0012d830
    Found by: call frame info
21  xul.dll!MessageLoop::RunInternal() [message_loop.cc:83eac7a5262a : 211 + 0x1e]
    eip = 0x61a66dc6   esp = 0x0012d838   ebp = 0x0012d854   ebx = 0x7ffda000
    Found by: call frame info
22  xul.dll!MessageLoop::RunHandler() [message_loop.cc:83eac7a5262a : 194 + 0x7]
    eip = 0x61a66d02   esp = 0x0012d85c   ebp = 0x0012d88c
    Found by: call frame info
23  xul.dll!MessageLoop::Run() [message_loop.cc:83eac7a5262a : 168 + 0x7]
    eip = 0x61a66be3   esp = 0x0012d894   ebp = 0x0012d8bc   ebx = 0x00129184
    Found by: call frame info
24  xul.dll!nsBaseAppShell::Run() [nsBaseAppShell.cpp:83eac7a5262a : 174 + 0xb]
    eip = 0x618df2f0   esp = 0x0012d8c4   ebp = 0x0012d8c8
    Found by: call frame info
25  xul.dll!nsAppShell::Run() [nsAppShell.cpp:83eac7a5262a : 239 + 0x8]
    eip = 0x618de972   esp = 0x0012d8d0   ebp = 0x0012f81c
    Found by: call frame info
26  xul.dll!nsAppStartup::Run() [nsAppStartup.cpp:83eac7a5262a : 182 + 0x1b]
    eip = 0x616e0e0a   esp = 0x0012f824   ebp = 0x0012f830
    Found by: call frame info
27  xul.dll!XRE_main [nsAppRunner.cpp:83eac7a5262a : 3476 + 0x24]
    eip = 0x60ab355b   esp = 0x0012f838   ebp = 0x0012fed0
    Found by: call frame info
28  firefox.exe!NS_internal_main(int,char * *) [nsBrowserApp.cpp:83eac7a5262a : 158 + 0x11]
    eip = 0x00402482   esp = 0x0012fed8   ebp = 0x0012ff34
    Found by: call frame info
29  firefox.exe!wmain [nsWindowsWMain.cpp:83eac7a5262a : 120 + 0xc]
    eip = 0x00401c3e   esp = 0x0012ff3c   ebp = 0x0012ff68
    Found by: call frame info
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267724709.1267727963.29976.gz#err2
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/03/04 09:45:09
s: win32-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272390550.1272391926.27748.gz#err0
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276290133.1276292890.18819.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/06/11 14:02:13
s: win32-slave12
Yeah, yeah, I'm piling on putting a mochitest-2 crash in test_location.html in here, but this bug has gotten lonely, and if I file a separate one it'll probably get lonely too...

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1285868258.1285869030.25686.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/09/30 10:37:38
s: win32-slave01

TEST-UNEXPECTED-FAIL | /tests/dom/src/threads/test/test_location.html | Exited with code -1073741819 during test run

Thread 0 (crashed)
 0  xul.dll!nsXPCOMCycleCollectionParticipant::CheckForRightISupports(nsISupports *) [nsCycleCollectionParticipant.cpp:51a4d2f6597d : 101 + 0x26]
    eip = 0x10557967   esp = 0x00128ec8   ebp = 0x00128ee4   ebx = 0x00000001
    esi = 0x017f2950   edi = 0x00000000   eax = 0xdddddddd   ecx = 0x0a540b20
    edx = 0x0a540b20   efl = 0x00010246
    Found by: given as instruction pointer in context
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286227196.1286227660.22616.gz&fulltext=1
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/10/04 14:19:56
s: w32-ix-slave37
Whiteboard: [orange] → [orange][test which aborts the suite]
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286314616.1286315183.7112.gz&fulltext=1#err0
WINNT 5.2 tracemonkey debug test mochitests-2/5 on 2010/10/05 14:36:56
s: win32-slave41

TEST-UNEXPECTED-FAIL | /tests/dom/src/threads/test/test_simpleThread.html | Exited with code -1073741819 during test run

Thread 0 (crashed)
 0  xul.dll!nsXPCOMCycleCollectionParticipant::CheckForRightISupports(nsISupports *) [nsCycleCollectionParticipant.cpp:01dbfd987f73 : 101 + 0x26]
    eip = 0x1055a8b7   esp = 0x001296a8   ebp = 0x001296c4   ebx = 0x00000001
    esi = 0x017f2b70   edi = 0x00000000   eax = 0xdddddddd   ecx = 0x07c22db8
    edx = 0x07c22db8   efl = 0x00010246
    Found by: given as instruction pointer in context
Summary: debug mochitest-chrome crash [@ nsXPCOMCycleCollectionParticipant::CheckForRightISupports] → debug mochitest-chrome or test_location.html or test_simpleThread.html crash [@ nsXPCOMCycleCollectionParticipant::CheckForRightISupports]
Comment hidden (Treeherder Robot)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1302754742.1302758722.987.gz&fulltext=1
(In reply to comment #8)
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1302754742.1302758722.987.gz&fulltext=1

Ehsan, this is wrong, this error is:

NEXT ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/editor/libeditor/html/tests/test_bug635636.html | Exited with code -1073741819 during test run
bent: but if you dig in, it's the same crash:
> xul.dll!nsXPCOMCycleCollectionParticipant::CheckForRightISupports(nsISupports *) [nsCycleCollectionParticipant.cpp:aa200a803e07 : 101 + 0x12]

Given that this bug is already filed on this same crash across multiple tests, it seems reasonable to add one more test with what looks like the same crash.

/me makes it official by updating summary :)
Summary: debug mochitest-chrome or test_location.html or test_simpleThread.html crash [@ nsXPCOMCycleCollectionParticipant::CheckForRightISupports] → debug mochitest-chrome or test_location.html or test_simpleThread.html or test_bug635636.html crash [@ nsXPCOMCycleCollectionParticipant::CheckForRightISupports]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1302815496.1302819550.26316.gz
Rev3 WINNT 6.1 mozilla-central debug test mochitest-other on 2011/04/14 14:11:36
s: talos-r3-w7-006
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/editor/libeditor/html/tests/test_bug635636.html | Exited with code -1073741819 during test run
PROCESS-CRASH | chrome://mochitests/content/chrome/editor/libeditor/html/tests/test_bug635636.html | application crashed (minidump found)
Thread 3 (crashed)
PROCESS-CRASH | chrome://mochitests/content/chrome/editor/libeditor/html/tests/test_bug635636.html | application crashed (minidump found)
Thread 0 (crashed)

{
Thread 3 (crashed)
 0  xul.dll!nsXPCOMCycleCollectionParticipant::CheckForRightISupports(nsISupports *) [nsCycleCollectionParticipant.cpp:5375d6280c92 : 101 + 0x12]
...
Thread 0 (crashed)
 0  mozjs.dll!js::ctypes::ConvertToJS(JSContext *,JSObject *,JSObject *,void *,bool,bool,jsval_layout *) [typedefs.h:5375d6280c92 : 107 + 0x3]
}
Oh, as long as we're merging this to cover multiple tests, sure.
(In reply to comment #12)
> Oh, as long as we're merging this to cover multiple tests, sure.

That's fine.  We do our best to focus orange bugs on the underlying bug, even if it occurs in multiple tests.
(Assignee)

Updated

6 years ago
Crash Signature: [@ nsXPCOMCycleCollectionParticipant::CheckForRightISupports]
Depends on: 684711

Updated

5 years ago
Blocks: 769277

Updated

5 years ago
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WORKSFORME
(Assignee)

Updated

5 years ago
Keywords: intermittent-failure
(Assignee)

Updated

5 years ago
Whiteboard: [orange][test which aborts the suite] → [test which aborts the suite]
You need to log in before you can comment on or make changes to this bug.